Package opennlp.tools.ml.perceptron

# Class PerceptronModelReader

java.lang.Object
opennlp.tools.ml.model.AbstractModelReader
opennlp.tools.ml.perceptron.PerceptronModelReader

Direct Known Subclasses:
  `BinaryPerceptronModelReader`

public class PerceptronModelReader extends AbstractModelReader
The base class for readers of `models`. It assumes that models are saved in the following sequence:
Perceptron (model type identifier)
1. # of parameters (`int`)
2. # of outcomes (`int`)
* list of outcome names (`String`)
3. # of different types of outcome patterns (`int`)
* list of (`int` `int[]`)
[# of predicates for which outcome pattern is true] [outcome pattern]
4. # of predicates (`int`)
* list of predicate names (`String`)

See Also:
  - `PerceptronModel`
  - `AbstractModelReader`

- ## Field Summary

  ### Fields inherited from class opennlp.tools.ml.model.AbstractModelReader

  `MAX_ENTRIES_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PerceptronModelReader(File file)`
  Initializes a `PerceptronModelReader` via a `File`.
  `PerceptronModelReader(DataReader dataReader)`
  Initializes a `PerceptronModelReader` via a `DataReader`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkModelType()`
  Reads the mode type from the underlying reader and informs if it not a `Perceptron` model.
  `AbstractModel`
  `constructModel()`
  Constructs a `model`.

  ### Methods inherited from class opennlp.tools.ml.model.AbstractModelReader

  `getModel, readDouble, readInt, readUTF`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PerceptronModelReader

    public PerceptronModelReader(File file) throws IOException
    Initializes a `PerceptronModelReader` via a `File`.
    Parameters:
      `file` - The `File` that references the model to be read.
    Throws:
      `IOException` - Thrown if IO errors occurred.

  - ### PerceptronModelReader

    public PerceptronModelReader(DataReader dataReader)
    Initializes a `PerceptronModelReader` via a `DataReader`.
    Parameters:
      `dataReader` - The `DataReader` that references the model to be read.

- ## Method Details

  - ### constructModel

    public AbstractModel constructModel() throws IOException
    Constructs a `model`.

    If you are creating a reader for a format which won't work with this (perhaps a database or `xml` file), override this method and ignore the other methods provided in this abstract class.

    Specified by:
      `constructModel` in class `AbstractModelReader`
    Returns:
      A `PerceptronModel` reconstructed from a model's (read) attributes.
    Throws:
      `IOException` - Thrown if IO errors occurred during (re-)construction.

  - ### checkModelType

    public void checkModelType() throws IOException
    Reads the mode type from the underlying reader and informs if it not a `Perceptron` model.
    Specified by:
      `checkModelType` in class `AbstractModelReader`
    Throws:
      `IOException` - Thrown if IO errors occurred.